gg-types(3)

NAME
gg-types : Portable types defined by libGG

SYNOPSIS
#include <ggi/gg.h>

DESCRIPTION
LibGG defines a few portable types used by other GGI libraries. Application writers may use these types to avoid having to handle os/platform specific types directly. The following types are defined:

•   sint8: 8 bits signed integer

•   uint8: 8 bits unsigned integer

•   sint16

•   uint16

•   sint32

•   uint32

•   sint64

•   uint64

•   ggi_sint: native signed integer

•   ggi_uint: native unsigned integer

NOTE
These types are now obsoleted by C99 types, and support for them is provided for backward compatibility only.